petsc-3.7.1 2016-05-15
Report Typos and Errors

# EventRegLogGetEvent

This function returns the event id given the event name.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  EventRegLogGetEvent(PetscEventRegLog eventLog, const char name[], PetscLogEvent *event)

Not Collective Many br

### Input Parameters

| eventLog | - The PetscEventRegLog Many br
| name | - The stage name Many br

### Output Parameter

event -The event id, or -1 if not found Many br

Many br

### Keywords

log, stage

### See Also

EventRegLogRegister()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages